### Hierarchy

- SVGTransformList

## Index

### Properties

- numberOfItems

### Methods

- appendItem
- clear
- consolidate
- createSVGTransformFromMatrix
- getItem
- initialize
- insertItemBefore
- removeItem
- replaceItem

## Properties

### numberOfItems

numberOfItems: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13969

## Methods

### appendItem

- appendItem(newItem: SVGTransform): SVGTransform

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13970

  #### Parameters

  - ##### newItem: SVGTransform

  #### Returns SVGTransform

### clear

- clear(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13971

  #### Returns void

### consolidate

- consolidate(): SVGTransform

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13972

  #### Returns SVGTransform

### createSVGTransformFromMatrix

- createSVGTransformFromMatrix(matrix: SVGMatrix): SVGTransform

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13973

  #### Parameters

  - ##### matrix: SVGMatrix

  #### Returns SVGTransform

### getItem

- getItem(index: number): SVGTransform

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13974

  #### Parameters

  - ##### index: number

  #### Returns SVGTransform

### initialize

- initialize(newItem: SVGTransform): SVGTransform

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13975

  #### Parameters

  - ##### newItem: SVGTransform

  #### Returns SVGTransform

### insertItemBefore

- insertItemBefore(newItem: SVGTransform, index: number): SVGTransform

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13976

  #### Parameters

  - ##### newItem: SVGTransform

  - ##### index: number

  #### Returns SVGTransform

### removeItem

- removeItem(index: number): SVGTransform

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13977

  #### Parameters

  - ##### index: number

  #### Returns SVGTransform

### replaceItem

- replaceItem(newItem: SVGTransform, index: number): SVGTransform

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13978

  #### Parameters

  - ##### newItem: SVGTransform

  - ##### index: number

  #### Returns SVGTransform

Generated using TypeDoc